Bug 204051 - [patch] security/strongswan: Let user choose which printf-hook to use
Summary: [patch] security/strongswan: Let user choose which printf-hook to use
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Renato Botelho
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-10-27 09:39 UTC by Renato Botelho
Modified: 2015-10-27 14:32 UTC (History)
1 user (show)

See Also:
strongswan: maintainer-feedback+


Attachments
Add printf hook options (1.46 KB, patch)
2015-10-27 09:39 UTC, Renato Botelho
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Renato Botelho freebsd_committer 2015-10-27 09:39:15 UTC
Created attachment 162491 [details]
Add printf hook options

strongSwan can be beuit using 3 different printf hooks: builtin, glibc (compatible with FreeBSD's libc) and vstr (devel/vstr).

Add a single option and let user choose it.

While here, change default from glibc to builtin since looks like there are memory leaks when use glibc, which is the default today.

More information can be read at:

https://wiki.strongswan.org/issues/1106
https://forum.pfsense.org/index.php?topic=96767.0
https://redmine.pfsense.org/issues/5149

Obtained from: pfSense
Sponsored by: Rubicon Communications (Netgate)
Comment 1 strongswan 2015-10-27 12:42:02 UTC
Comment on attachment 162491 [details]
Add printf hook options

I'm happy with the patch. 
It can be applied to the port.
Thank You.
Comment 2 commit-hook freebsd_committer 2015-10-27 13:27:57 UTC
A commit references this bug:

Author: garga
Date: Tue Oct 27 13:27:17 UTC 2015
New revision: 400233
URL: https://svnweb.freebsd.org/changeset/ports/400233

Log:
  strongSwan can be beuit using 3 different printf hooks: builtin, glibc
  (compatible with FreeBSD's libc) and vstr (devel/vstr). Since it's not
  selected any of them on CONFIGURE_ARGS, it uses auto, and end up using
  glibc.

  pfSense users reported memory leaks on strongSwan [2] [3] and a it was
  reported to upstream [1].

  Add a single option and let user choose which printf hook to use, and
  change default to use builtin. Bump PORTREVISION due to default change

  [1] https://wiki.strongswan.org/issues/1106
  [2] https://forum.pfsense.org/index.php?topic=96767.0
  [3] https://redmine.pfsense.org/issues/5149

  PR:		204051
  Approved by:	maintainer
  Obtained from:	pfSense
  MFH:		2015Q4
  Sponsored by:	Rubicon Communications (Netgate)

Changes:
  head/security/strongswan/Makefile
Comment 3 commit-hook freebsd_committer 2015-10-27 14:32:18 UTC
A commit references this bug:

Author: garga
Date: Tue Oct 27 14:32:07 UTC 2015
New revision: 400249
URL: https://svnweb.freebsd.org/changeset/ports/400249

Log:
  MFH: r400233

  strongSwan can be beuit using 3 different printf hooks: builtin, glibc
  (compatible with FreeBSD's libc) and vstr (devel/vstr). Since it's not
  selected any of them on CONFIGURE_ARGS, it uses auto, and end up using
  glibc.

  pfSense users reported memory leaks on strongSwan [2] [3] and a it was
  reported to upstream [1].

  Add a single option and let user choose which printf hook to use, and
  change default to use builtin. Bump PORTREVISION due to default change

  [1] https://wiki.strongswan.org/issues/1106
  [2] https://forum.pfsense.org/index.php?topic=96767.0
  [3] https://redmine.pfsense.org/issues/5149

  PR:		204051
  Approved by:	ports-secteam (feld), maintainer
  Obtained from:	pfSense
  Sponsored by:	Rubicon Communications (Netgate)

Changes:
_U  branches/2015Q4/
  branches/2015Q4/security/strongswan/Makefile